CHCON(1)

NOMBRE
chcon - moifica el contexto de seguridad de un archivo

SINOPSIS
chcon [OPCIÓN]... CONTEXTO ARCHIVO...
chcon [OPCIÓN]... [-u USUARIO] [-r ROL] [-l INTERVALO] [-t TIPO] ARCHIVO...
chcon [OPCIÓN]... --reference=ARCHIVOREF ARCHIVO...

DESCRIPCIÓN

Modifica el contexto de seguridad de SELinux de cada archivo a CONTEXTO. Con la opción --reference, utliza ARCHIVOREF como plantilla para definir el contexto de seguridad de cada ARCHIVO.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

--dereference
    afecta al referente de cada enlace simbólico (esta es la opción predeterminada), en lugar de al propio enlace simbólico

-h, --no-dereference
    afecta a los enlaces simbólicos en lugar de a los archivos de referencia.

-u, --user=USUARIO
    define USUARIO como usuario en el objetivo del contexto de seguridad

-r, --role=ROL
    define ROL como rol en el objetivo del contexto de seguridad

-t, --type=TIPO
    define TIPO como tipo en el objetivo del contexto de seguridad

-l, --range=INTERVALO
    define INTERVALO como intervalos en el objetivo del contexto de seguridad

--no-preserve-root
    no trata '/' de forma especial (predeterminado)

--preserve-root
    no opera recursivamente sobre '/'

--reference=R-ARCHIVO
    utiliza el contexto de seguridad de ARCHIVOREF en lugar de definir un valor para CONTEXTO

-R, --recursive
    opera sobre archivos y directorios recursivamente

-v, --verbose
    muestra un mensaje por cada archivo procesado

Las siguientes opciones modifican cómo se atraviesa una jerarquía cuando se especifica también la opción -R. Si se especifica más de una, solamente tiene efecto la última.

-H  si un argumento de la línea de órdenes es un enlace simbólico a un directorio, lo atraviesa

-L  atraviesa cualquier enlace simbólico a un directorio que se encuentre

-P  no atraviesa ningún enlace simbólico (predeterminado)

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

AUTOR
Escrito por Russel Coker y Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/chcon>
también disponible localmente ejecutando: info '(coreutils) chcon invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.